Debian Bug report logs - #717900
libsqlite3-0: Please increase SQLITE_MAX_VARIABLE_NUMBER to something bigger like 500000

version graph

Package: libsqlite3-0; Maintainer for libsqlite3-0 is Laszlo Boszormenyi (GCS) <gcs@debian.org>; Source for libsqlite3-0 is src:sqlite3.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Fri, 26 Jul 2013 09:15:07 UTC

Severity: wishlist

Found in version sqlite3/3.7.17-1

Fixed in version sqlite3/3.8.0.1-1

Done: Laszlo Boszormenyi (GCS) <gcs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hertzog@debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.org>:
Bug#717900; Package libsqlite3-0. (Fri, 26 Jul 2013 09:15:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to hertzog@debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.org>. (Fri, 26 Jul 2013 09:15:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libsqlite3-0: Please increase SQLITE_MAX_VARIABLE_NUMBER to something bigger like 500000
Date: Fri, 26 Jul 2013 11:13:39 +0200
Package: libsqlite3-0
Version: 3.7.17-1
Severity: wishlist

http://www.sqlite.org/limits.html#max_variable_number

Upstream document this compile-time limit. But 999 is ridiculously low
by today's standard of memory size. This limit can be increased to
something bigger.

FWIW Apple has increased this limit to 500000 apparently:
http://stackoverflow.com/questions/10332668/sqlite-max-query-parameters-differs-on-snow-leopard

In my use case, I have queries that embed all the Debian package names so
I need several dozens of thousands of variables. This is for a query that
Django generates and it's similar to something like this:
SELECT * FROM packageinfos WHERE name in (?,?,?,…).

Cheers,

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.9-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.org>:
Bug#717900; Package libsqlite3-0. (Mon, 29 Jul 2013 14:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to László Böszörményi (GCS) <gcs@debian.org>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.org>. (Mon, 29 Jul 2013 14:15:04 GMT) Full text and rfc822 format available.

Message #10 received at 717900@bugs.debian.org (full text, mbox):

From: László Böszörményi (GCS) <gcs@debian.org>
To: Raphaël Hertzog <hertzog@debian.org>, 717900@bugs.debian.org
Subject: Re: Bug#717900: libsqlite3-0: Please increase SQLITE_MAX_VARIABLE_NUMBER to something bigger like 500000
Date: Mon, 29 Jul 2013 16:10:09 +0200
Hi Raphaël,

On Fri, Jul 26, 2013 at 11:13 AM, Raphaël Hertzog <hertzog@debian.org> wrote:
> http://www.sqlite.org/limits.html#max_variable_number
>
> Upstream document this compile-time limit. But 999 is ridiculously low
> by today's standard of memory size. This limit can be increased to
> something bigger.
[...]
> In my use case, I have queries that embed all the Debian package names so
> I need several dozens of thousands of variables. This is for a query that
> Django generates and it's similar to something like this:
> SELECT * FROM packageinfos WHERE name in (?,?,?,…).
 What would be an acceptable value for your use case? I don't want to
just shot a number, but choose one that sounds reasonable.

Regards,
Laszlo/GCS



Information forwarded to debian-bugs-dist@lists.debian.org, Laszlo Boszormenyi (GCS) <gcs@debian.org>:
Bug#717900; Package libsqlite3-0. (Mon, 29 Jul 2013 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Laszlo Boszormenyi (GCS) <gcs@debian.org>. (Mon, 29 Jul 2013 14:27:04 GMT) Full text and rfc822 format available.

Message #15 received at 717900@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: László Böszörményi (GCS) <gcs@debian.org>
Cc: 717900@bugs.debian.org
Subject: Re: Bug#717900: libsqlite3-0: Please increase SQLITE_MAX_VARIABLE_NUMBER to something bigger like 500000
Date: Mon, 29 Jul 2013 16:23:54 +0200
Hi,

On Mon, 29 Jul 2013, László Böszörményi (GCS) wrote:
> On Fri, Jul 26, 2013 at 11:13 AM, Raphaël Hertzog <hertzog@debian.org> wrote:
> > http://www.sqlite.org/limits.html#max_variable_number
> >
> > Upstream document this compile-time limit. But 999 is ridiculously low
> > by today's standard of memory size. This limit can be increased to
> > something bigger.
> [...]
> > In my use case, I have queries that embed all the Debian package names so
> > I need several dozens of thousands of variables. This is for a query that
> > Django generates and it's similar to something like this:
> > SELECT * FROM packageinfos WHERE name in (?,?,?,…).
>  What would be an acceptable value for your use case? I don't want to
> just shot a number, but choose one that sounds reasonable.

Given that we are at 40000 unique binary package names and that we want to
accomodate for some future growth, 100000 would be enough for a while for
me.

But you might want to estimate "reasonable" based on the memory that those
arguments consumes and the average amount of memory that you get on modern
machines.

I bet that you will get a bigger number and that Apple's choice of 500000
is not unreasonable.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.org>:
You have taken responsibility. (Fri, 30 Aug 2013 01:09:09 GMT) Full text and rfc822 format available.

Notification sent to Raphaël Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Fri, 30 Aug 2013 01:09:09 GMT) Full text and rfc822 format available.

Message #20 received at 717900-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.org>
To: 717900-close@bugs.debian.org
Subject: Bug#717900: fixed in sqlite3 3.8.0.1-1
Date: Fri, 30 Aug 2013 01:06:22 +0000
Source: sqlite3
Source-Version: 3.8.0.1-1

We believe that the bug you reported is fixed in the latest version of
sqlite3, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 717900@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.org> (supplier of updated sqlite3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Aug 2013 01:35:59 +0200
Source: sqlite3
Binary: lemon sqlite3 sqlite3-doc libsqlite3-0-dbg libsqlite3-0 libsqlite3-dev libsqlite3-tcl
Architecture: source all amd64
Version: 3.8.0.1-1
Distribution: unstable
Urgency: low
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Description: 
 lemon      - LALR(1) Parser Generator for C or C++
 libsqlite3-0 - SQLite 3 shared library
 libsqlite3-0-dbg - SQLite 3 debugging symbols
 libsqlite3-dev - SQLite 3 development files
 libsqlite3-tcl - SQLite 3 Tcl bindings
 sqlite3    - Command line interface for SQLite 3
 sqlite3-doc - SQLite 3 documentation
Closes: 712037 717900 720713
Changes: 
 sqlite3 (3.8.0.1-1) unstable; urgency=low
 .
   * New upstream release.
   * Update patches to apply clean.
   * Increase SQLITE_MAX_VARIABLE_NUMBER compile time variable to 250000
     (closes: #717900).
 .
   [ Colin Watson <cjwatson@ubuntu.com> ]
   * Use dh_autotools-dev, bringing config.guess and config.sub up to date
     enough to handle arm64 (closes: #712037).
 .
   [ Eleanor Chen <chenyueg@gmail.com> ]
   * Don't generate pkgIndex.tcl on cross builds (closes: #720713).
Checksums-Sha1: 
 0572837c9e02e494046dca46dbf5e1aaa4671ef1 1789 sqlite3_3.8.0.1-1.dsc
 5a784dcad7fa2ccf018336a37e70976523c977a1 3396098 sqlite3_3.8.0.1.orig-www.tar.gz
 7196b85794d1a21f92d45461844d371f321bba9f 4663274 sqlite3_3.8.0.1.orig.tar.gz
 90a82c7098670ed382874d56d1661dafd10dedd6 18657 sqlite3_3.8.0.1-1.debian.tar.gz
 307b3b548c3563f4ce00e0209e72ba2d5075d20f 2737162 sqlite3-doc_3.8.0.1-1_all.deb
 6d68d96a413917637d923237a4840d5fc014e241 105504 lemon_3.8.0.1-1_amd64.deb
 1e134a988e53063617503c19f7b0187963c0b893 85944 sqlite3_3.8.0.1-1_amd64.deb
 13cdffa802e076ba5127ae338a5078f0e1ad8873 83718 libsqlite3-0-dbg_3.8.0.1-1_amd64.deb
 1cfa91127628a2ca0fe515a40b285fa0704293b9 389588 libsqlite3-0_3.8.0.1-1_amd64.deb
 330373fa1921d0b223d08ed6c5c8eab0c402280f 482586 libsqlite3-dev_3.8.0.1-1_amd64.deb
 4a1f50892d71968f058ef4dc96018ccc80aa533f 77456 libsqlite3-tcl_3.8.0.1-1_amd64.deb
Checksums-Sha256: 
 15ce8dd0770f98d558a55cc129eb035186c5a60dac1421fc3d1ced92fbe523f0 1789 sqlite3_3.8.0.1-1.dsc
 2a1da11062452f60c43aeb2927fab03efb8f25c6b83d73335cefd3abf84d0321 3396098 sqlite3_3.8.0.1.orig-www.tar.gz
 f7eedc46968dae8738ad8259ca352eb0af2fd65103a1f872d5b06b1a9a4b2198 4663274 sqlite3_3.8.0.1.orig.tar.gz
 3e6c1c03be1cee127fada381d214e3cb8a1582b8b25e08881e814d0e975b5c8d 18657 sqlite3_3.8.0.1-1.debian.tar.gz
 2404be2578ee93e03cb48ce4713e5d10384f6a34faef49511e9c03e77182a572 2737162 sqlite3-doc_3.8.0.1-1_all.deb
 78c8b63bc7274f87551741a621ca29ba48ab51bcab20d73662dcf72b53688053 105504 lemon_3.8.0.1-1_amd64.deb
 fbe365abb1229fbf346d271649856edf442e1d3b5a16252d4073acc5216e190b 85944 sqlite3_3.8.0.1-1_amd64.deb
 0f5e061f72f1b95028cff7375058877c1118bd0491bdce5378178e4a92086dd5 83718 libsqlite3-0-dbg_3.8.0.1-1_amd64.deb
 1a2597a600655897b2a7d6b461694c62a5168321604300bdd0d1136c95998a43 389588 libsqlite3-0_3.8.0.1-1_amd64.deb
 9d962954a53ca78732e06390ddee493de5ba2f66cb23fcf10bd09ec3c297c954 482586 libsqlite3-dev_3.8.0.1-1_amd64.deb
 0779d30fed783e5f5a982a531af29e9f3894e946b686361aa541bb50b4eb1a88 77456 libsqlite3-tcl_3.8.0.1-1_amd64.deb
Files: 
 c3809b41d5f66d44e87e129266ffd200 1789 devel optional sqlite3_3.8.0.1-1.dsc
 665b35f5036f6da76c56f803a4fc09b1 3396098 devel optional sqlite3_3.8.0.1.orig-www.tar.gz
 e0a00bdb5550d95ba8119f496b35d602 4663274 devel optional sqlite3_3.8.0.1.orig.tar.gz
 dbc659bfa467e91cd94c59a90b79a817 18657 devel optional sqlite3_3.8.0.1-1.debian.tar.gz
 5fe208451c2830a9d7dfc4eea6622a3a 2737162 doc optional sqlite3-doc_3.8.0.1-1_all.deb
 f7e7e291ee2ae194a2d380b6643d6edc 105504 devel optional lemon_3.8.0.1-1_amd64.deb
 89c848459ebddf474a70e9b89a09b999 85944 database optional sqlite3_3.8.0.1-1_amd64.deb
 d05b99d08e48acbda4807433bb3a6aa7 83718 debug extra libsqlite3-0-dbg_3.8.0.1-1_amd64.deb
 2bde8a9180c48003863fb5928015ffee 389588 libs standard libsqlite3-0_3.8.0.1-1_amd64.deb
 86abe25700a502e0a829579163d5f469 482586 libdevel optional libsqlite3-dev_3.8.0.1-1_amd64.deb
 e33c3e126a160315685a18b93307e8ae 77456 interpreters optional libsqlite3-tcl_3.8.0.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlIf7JgACgkQMDatjqUaT93q4QCglfot3s0wNGwWRFV5obf3qPGI
j5gAn2SADjG3gNr88aQJjLuOcNht7b5L
=gtQC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Sep 2013 07:25:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:46:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.